Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.loading
Class MLetTag

    java.lang.Object
      mx4j.loading.MLetTag

public class MLetTag
extends java.lang.Object

Represents an MLET tag, as documented in the JMX specification.

Version:
  $Revision: 1.6 $

Constructor Summary
`MLetTag()`

Method Summary
`java.net.URL` | `createArchiveURL(java.net.URL codebase, java.lang.String archive)` Returns the URL for the given archive file name using the provided URL as a codebase, or null if the URL cannot be created.
`java.lang.String` | `getArchive()`
`java.lang.Object[]` | `getArguments()`
`java.lang.String` | `getCode()`
`java.lang.String` | `getCodeBase()`
`java.lang.String` | `getObject()`
`javax.management.ObjectName` | `getObjectName()`
`java.lang.String[]` | `getSignature()`
`java.lang.String` | `getVersion()`
`java.net.URL` | `normalizeCodeBase(java.net.URL mletFileURL)` Normalizes the codebase held by this MLetTag (specified in the MLet file) using the URL of the MLet file as default.
`java.lang.String[]` | `parseArchive()` Returns the jars file names specified in the ARCHIVE attribute of the MLet tag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MLetTag

    public MLetTag()

Method Detail

### normalizeCodeBase

    public java.net.URL normalizeCodeBase(java.net.URL mletFileURL)

  Normalizes the codebase held by this MLetTag (specified in the MLet file) using the URL of the MLet file as default. This means that if the codebase in the MLet file is not provided or it is relative, then the URL of the MLet file will be taken as base for computing the normalized codebase; otherwise, if a full URL has been specified as codebase in the MLet file, that URL is taken and the URL of the MLet file is discarded.

  Parameters:
    `mletFileURL` - The URL of the MLet file
  Returns:
    The normalized codebase

### parseArchive

    public java.lang.String[] parseArchive()

  Returns the jars file names specified in the ARCHIVE attribute of the MLet tag.

### createArchiveURL

    public java.net.URL createArchiveURL(java.net.URL codebase,
                                         java.lang.String archive)

  Returns the URL for the given archive file name using the provided URL as a codebase, or null if the URL cannot be created.

### getVersion

    public java.lang.String getVersion()

### getCodeBase

    public java.lang.String getCodeBase()

### getArchive

    public java.lang.String getArchive()

### getCode

    public java.lang.String getCode()

### getObjectName

    public javax.management.ObjectName getObjectName()

### getObject

    public java.lang.String getObject()

### getSignature

    public java.lang.String[] getSignature()

### getArguments

    public java.lang.Object[] getArguments()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.